Subject: Re: bug#51927: 27.2; Rename `highlight-nonselected-windows'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Nov 2021 08:49:55 +0200

> From: Drew Adams <[email-masked]>
> Date: Wed, 17 Nov 2021 21:03:45 +0000
> 
> This variable seems poorly named, in more ways than one.  Could we
> consider renaming it (by aliasing and perhaps deprecating the old name)?

This variable exists since Emacs 19.  Renaming it after all that time
would make no sense at all.

> 1. This var has no effect if `transient-mark-mode' is disabled.

That is inaccurate: it has no effect if the region is inactive (you
can have an active region even with transient-mark-mode disabled).  I
added the caveat to the doc string.

> 2. This is not really about highlighting windows.  (Yes, the
> highlighting occurs in windows, of course.  But it's the active region
> that's highlighted.)

The doc string says that.

> 3. The name says nothing about what's most important: "region".  This is
> about showing (highlighting) the _active region_ in _all_ windows.

See above: that ship sailed long ago.

> 4. The doc should explain the alternative behavior, when the var is nil:
> the active region is highlighted only in the selected window.

Added.

And with that, I'm closing this bug.